Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 646 - IPFWADM fails when setting non-default rules
Summary: IPFWADM fails when setting non-default rules
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 5.2
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-29 18:34 UTC by gnw
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 17:26:51 UTC


Attachments (Terms of Use)

Description gnw 1998-12-29 18:34:02 UTC
I've tried this with 3 different kernels, 2.0.34-36 and RH
dists 5.1 and 5.2 the problem persists.

entering: ipfwadm -F -p masq
works fine and masquerading is activated

entering something like:ipfwadm -F -i deny -S 204.0.1.2
will fail with: ipfwadm: setsockopt failed: Invalid argument

I have copiled a 2.0.35 kernel on an intel box and had no
trouble getting ipfwadm to work as expected.

Comment 1 Jay Turner 1998-12-31 22:39:59 UTC
This may sound like a dumb question but do you have IP_Firewalling and
 IP_Masquerading enabled in you kernel config and properly recompiled
the kernel? The kernels ship with 5.2 may have these disabled by
default.

Comment 2 gnw 1999-01-19 23:38:59 UTC
Yes, I have compiled in all the appropriate kernel parts.
the Masq, and forwarding are working perfectly except for the inability
to change the non-default rules.

Comment 3 David Lawrence 1999-04-08 17:26:59 UTC
Could not get this to fail on a test lab machine with a stock install
of 5.2


Note You need to log in before you can comment on or make changes to this bug.